var iframeMeter = document.getElementById("iframeCDWALL");
var myMeterElement = document.getElementById('meter1');
var myAudio = iframeMeter.contentWindow.document.getElementById("wallaudio1");
var audioCtx = new window.AudioContext();
var sourceNode = audioCtx.createMediaElementSource(myAudio);
sourceNode.connect(audioCtx.destination);
var meterNode = webAudioPeakMeter.createMeterNode(sourceNode, audioCtx);
webAudioPeakMeter.createMeter(myMeterElement, meterNode, {});
myAudio.addEventListener('play', function() {
  audioCtx.resume();
});


var iframeMeter = document.getElementById("iframeCDWALL");
var myMeterElement = document.getElementById('meter2');
var myAudio = iframeMeter.contentWindow.document.getElementById("wallaudio2");
var audioCtx = new window.AudioContext();
var sourceNode = audioCtx.createMediaElementSource(myAudio);
sourceNode.connect(audioCtx.destination);
var meterNode = webAudioPeakMeter.createMeterNode(sourceNode, audioCtx);
webAudioPeakMeter.createMeter(myMeterElement, meterNode, {});
myAudio.addEventListener('play', function() {
  audioCtx.resume();
});

var iframeMeter = document.getElementById("iframeCDWALL");
var myMeterElement = document.getElementById('meter3');
var myAudio = iframeMeter.contentWindow.document.getElementById("wallaudio3");
var audioCtx = new window.AudioContext();
var sourceNode = audioCtx.createMediaElementSource(myAudio);
sourceNode.connect(audioCtx.destination);
var meterNode = webAudioPeakMeter.createMeterNode(sourceNode, audioCtx);
webAudioPeakMeter.createMeter(myMeterElement, meterNode, {});
myAudio.addEventListener('play', function() {
  audioCtx.resume();
});

var iframeMeter = document.getElementById("iframeCDWALL");
var myMeterElement = document.getElementById('meter4');
var myAudio = iframeMeter.contentWindow.document.getElementById("wallaudio4");
var audioCtx = new window.AudioContext();
var sourceNode = audioCtx.createMediaElementSource(myAudio);
sourceNode.connect(audioCtx.destination);
var meterNode = webAudioPeakMeter.createMeterNode(sourceNode, audioCtx);
webAudioPeakMeter.createMeter(myMeterElement, meterNode, {});
myAudio.addEventListener('play', function() {
  audioCtx.resume();
});
